/* Start Frame Work */
:root{
    --var-color: #deb887;
}
*{
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
body{
    margin: 0;
    width: 100%;
    color: var(--var-color);
    letter-spacing: 3px;
    justify-self: center;
    background-size: cover;
    background-position: top;
    text-align: -webkit-center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-image: url(img/background.jpg)
}
img{
    width: 100%;
    margin: 10px;
    border-radius: 10px;
}
ul{
    margin: 0;
    display: flex;
    list-style: none;
    align-items: center;
    justify-content: center;
}
a{
    display: block;
    margin: 0 10px;
    font-weight: bold;
    position: relative;
    letter-spacing: 2px;
    text-decoration: none;
    font-family: system-ui;
    color: var(--var-color);
}
.centerByFlex{
    display: flex;
    align-items: center;
    justify-content: center;
}
.button{
    display: flex;
    padding: 0;
    margin: 10px;
    border-radius: 8px;
    align-items: center;
    background: #31150f;
    justify-content: center;
    border: 1px solid burlywood;
}
.button a{
    margin: 0;
    width: 100%;
    height: 50px;
    align-content: center;
}
.button a:hover,
.button a.active{
    color: #000;
    border-radius: 8px;
    background-size: cover;
    background-position: top;
    background-color: yellow;
    background-image: url(img/Background-button.png);
}   
.section{
    position: relative;
    margin: 50px 0;
}
.grid-template{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
    gap: 20px;
}
.header{
    margin: 0;
    font-size: 60px;
    font-weight: bold;
    letter-spacing: 3px;
    text-transform: uppercase;
    background-position-y: center;
}
@media (max-width: 767px) {
    .header{
        font-size: 30px;
}   
}
.des{
    margin: 20px 0;
    line-height: 1.5;
    letter-spacing: 1px;
    text-transform: capitalize;
}
.img-border{
    z-index: 10;
    position: relative;
    margin: -40px 0 0 0;
}
.img-border img{
    margin: 0;
    width: 200px;
    height: 50px;
}
.img-border::before{
    content: "";
    top: 76%;
    left: 50px;
    height: 2px;
    right: 50px;
    z-index: -1;
    opacity: 70%;
    position: absolute;
    background-color: var(--var-color);
}

/* Start Nav Bar */
.nav{
    z-index: 100;
    position: fixed;
    background-size: cover;
    background-image: url(img/background.jpg);
}
.nav .logo .title{
    margin: 0;
    font-size: 30px;
}
.nav .logo .des{
    font-size: 10px;
    margin: 0 0 10px 0;
    position: relative;
    width: fit-content;
}
.nav .logo .des::after,
.nav .logo .des::before{
    content: "";
    position: absolute;
    top: 50%;
    left: -26px;
    width: 25px;
    height: 1px;
    background-color: var(--var-color);
}
.nav .logo .des::after{
    left: 100%;
}

.nav .menu a::after{
    content: "";
    position: absolute;
    left: 0;
    width: 0;
    height: 2px;
    bottom: -4px;
    background-color: var(--var-color);
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
}
.nav .menu a.active::after,
.nav .menu a:hover::after{
    width: 100%;
    color: red;
}

.nav .about .button{
    width: 70%;
}

@media (max-width: 992px) {
    .nav .logo{
        text-align: left;
    }
    .nav .logo .des{
        margin: 0 0 10px 40px;
    }
}
@media (max-width: 767px) {
    .menuPhone{
        cursor: pointer;
    }
    .nav .menu.openMenuPhone{
        display: flex !important;
        position: absolute;
        top: 0;
        height: 100vh;
        align-items: center;
        justify-content: center;
        background-color: #000000c4;
    }
    .nav .menu ul{
        padding: 0;
        display: block;
    }
    .nav .menu ul li{
        margin: 30px 0;
    }
}

/* Start Play Section */
.play{
    height: 100vh;
    min-height: 500px;
    position: relative;
    background-size: cover;
    background-image: url(img/background-play.png);
}
.play .container{
    position: absolute;
    top: 50%;
    left: 10%;
    text-align: center;
    transform: translate(-10%, -50%);
}
.play .container p{
    margin: 0;
    color: #f9d678;
    font-size: 50px;
    font-weight: bold;
    text-shadow: -2px 3px black;
}
@media (max-width: 992px) {
    .play{
        background-position: center;
    }
    .play .container p{
        font-size: 30px;
    }
}

/* Start Section About */
.about img{
    position: relative;
    cursor: pointer;
    border-radius: 8px;
    margin: 0 0 10px 0;
    box-shadow: 0 0 4px 2px var(--var-color);
}
.about img.PopUp{
    position: fixed;
    top: 50%;
    left: 50%;
    width: 70%;
    z-index: 30;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 50px 50px var(--var-color);
}

/* Start ScreenShot */
.screenshot .des i{
    margin: 0 20px;
}
.screenshot img{
    height: 200px;
}

/* Start Section Footer */
.footer .row{
    justify-content: center;
}
.footer .button a{
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer .button a p{
    margin: 0 10px;
}